/**
 * Style for ApImage.
 * @class ApImageStyle
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _apemanReactStyle = require('apeman-react-style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @lends ApImageStyle */
var ApImageStyle = _react2.default.createClass({
  displayName: 'ApImageStyle',

  propTypes: {
    style: _react.PropTypes.object,
    backgroundColor: _react.PropTypes.string
  },
  getDefaultProps: function getDefaultProps() {
    return {
      style: {},
      backgroundColor: '#DDD',
      spinColor: 'rgba(255,255,255,0.5)'
    };
  },

  statics: {
    styleData: function styleData(config) {
      var backgroundColor = config.backgroundColor;
      var spinColor = config.spinColor;

      var transitionDuration = 100;
      return {
        all: {
          '.ap-image': {
            backgroundColor: '' + backgroundColor,
            overflow: 'hidden',
            textAlign: 'center',
            display: 'inline-block',
            position: 'relative'
          },
          '.ap-image img': {
            opacity: 0,
            transition: 'width ' + transitionDuration + 'ms, opacity ' + transitionDuration + 'ms'
          },
          '.ap-image-ready img': {
            opacity: 1
          },
          '.ap-image-content': {
            position: 'absolute',
            display: 'inline-block'
          },
          '.ap-image-spinner': {
            position: 'absolute',
            left: 0,
            top: 0,
            right: 0,
            bottom: 0,
            textAlign: 'center',
            display: 'inline-flex',
            zIndex: 8,
            backgroundColor: 'rgba(0,0,0,0.1)',
            color: '' + spinColor,
            justifyContent: 'center',
            alignItems: 'center'
          },
          '.ap-image-notfound': {
            display: 'block',
            textAlign: 'center',
            color: 'rgba(0,0,0,0.1)',
            fontFamily: 'monospace'
          }
        },
        small: {},
        medium: {},
        large: {}
      };
    }
  },
  render: function render() {
    var s = this;
    var props = s.props;

    var _ApImageStyle$styleDa = ApImageStyle.styleData(props);

    var all = _ApImageStyle$styleDa.all;
    var small = _ApImageStyle$styleDa.small;
    var medium = _ApImageStyle$styleDa.medium;
    var large = _ApImageStyle$styleDa.large;


    return _react2.default.createElement(
      _apemanReactStyle.ApStyle,
      { data: Object.assign(all, props.style),
        smallMediaData: small,
        mediumMediaData: medium,
        largeMediaData: large
      },
      props.children
    );
  }
});

exports.default = ApImageStyle;
//# sourceMappingURL=data:application/json;base64,bnVsbA==