/**
 * @function scaledSize
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var numcal = require('numcal');

/** @lends scaledSize */
function scaledSize(contentSize, frameSize, policy) {
  var cw = contentSize.width;
  var ch = contentSize.height;
  var fw = frameSize.width;
  var fh = frameSize.height;

  var wRate = numcal.min(1, fw / cw);
  var hRate = numcal.min(1, fh / ch);

  var sizeWithRate = function sizeWithRate(rate) {
    return {
      width: contentSize.width * rate,
      height: contentSize.height * rate
    };
  };

  switch (policy) {
    case 'none':
      return sizeWithRate(1);
    case 'fit':
      return sizeWithRate(numcal.min(wRate, hRate));
    case 'fill':
      return sizeWithRate(numcal.max(wRate, hRate));
    default:
      throw new Error('Unknown policy: ' + policy);
  }
}

exports.default = scaledSize;
//# sourceMappingURL=data:application/json;base64,bnVsbA==